Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::VSeparator Class Reference

A GtkVSeparator C++ wrapper class. More...

`#include <inti/gtk/separator.h>`

Inheritance diagram for Inti::Gtk::VSeparator:

List of all members.

## Public Member Functions

Constructors

- VSeparator ()
    Construct a new vertical separator.
- virtual ~VSeparator ()
    Destructor.

Accessors

- GtkVSeparator * gtk_vseparator () const
    Get a pointer to the GtkVSeparator structure.
- GtkVSeparatorClass * gtk_vseparator_class () const
    Get a pointer to the GtkVSeparatorClass structure.
- operator GtkVSeparator * () const
    Conversion operator; safely converts a VSeparator to a GtkVSeparator pointer.

## Protected Member Functions

Constructors

- VSeparator (GtkVSeparator *vseparator, bool reference=false)
    Construct a new VSeparator from an existing GtkVSeparator.

## Detailed Description

A GtkVSeparator C++ wrapper class.

The VSeparator widget is a vertical separator, used to group the widgets within a window. It displays a vertical line with a shadow to make it appear sunken into the interface.

## Constructor & Destructor Documentation

Inti::Gtk::VSeparator::VSeparator | ( | GtkVSeparator * | vseparator,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new VSeparator from an existing GtkVSeparator. Parameters:
  vseparator | A pointer to a GtkVSeparator.
  reference | Set false if the initial reference count is floating, set true if it's not.
The vseparator can be a newly created GtkVSeparator or an existing GtkVSeparator (see G::Object::Object).

The documentation for this class was generated from the following file:

- separator.h

Main Page - Footer